
static Eina_Error
__eolian_efl_access_editable_text_text_content_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   const char *cval;
   if (!eina_value_string_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_access_editable_text_content_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_access_editable_text_content_set, Eina_Bool, 0, EFL_FUNC_CALL(string), const char *string);
EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_access_editable_text_insert, Eina_Bool, 0, EFL_FUNC_CALL(string, position), const char *string, int position);
EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_access_editable_text_copy, Eina_Bool, 0, EFL_FUNC_CALL(start, end), int start, int end);
EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_access_editable_text_cut, Eina_Bool, 0, EFL_FUNC_CALL(start, end), int start, int end);
EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_access_editable_text_delete, Eina_Bool, 0, EFL_FUNC_CALL(start, end), int start, int end);
EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_access_editable_text_paste, Eina_Bool, 0, EFL_FUNC_CALL(position), int position);

static Eina_Bool
_efl_access_editable_text_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_ACCESS_EDITABLE_TEXT_EXTRA_OPS
#define EFL_ACCESS_EDITABLE_TEXT_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_access_editable_text_content_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_access_editable_text_insert, NULL),
      EFL_OBJECT_OP_FUNC(efl_access_editable_text_copy, NULL),
      EFL_OBJECT_OP_FUNC(efl_access_editable_text_cut, NULL),
      EFL_OBJECT_OP_FUNC(efl_access_editable_text_delete, NULL),
      EFL_OBJECT_OP_FUNC(efl_access_editable_text_paste, NULL),
      EFL_ACCESS_EDITABLE_TEXT_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"text_content", __eolian_efl_access_editable_text_text_content_set_reflect, NULL},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_access_editable_text_class_desc = {
   EO_VERSION,
   "Efl.Access.Editable.Text",
   EFL_CLASS_TYPE_INTERFACE,
   0,
   _efl_access_editable_text_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_access_editable_text_interface_get, &_efl_access_editable_text_class_desc, NULL, NULL);
